package com.ctl.validationclient;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import com.ctl.validation.util.ValidationUtil;
import com.ctl.validationclient.model.Authentication;
import com.ctl.validationclient.model.DBAuthentication;

public class ValidationClientActivator implements BundleActivator {

	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		System.out.println("Hello World -ValidationClient!!");
		
		try {
				ValidationUtil validationUtil = new ValidationUtil();
				Authentication auth = new DBAuthentication();
				if (validationUtil.isValid(auth)) {
					System.out.println("Valid");
				}
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		System.out.println("Goodbye World-ValidationClient!!");
	}

}
