package com.ctl.validationclient.model;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;



public class DBAuthentication implements Authentication {

	@NotNull(message="User Name cannot be null")
	private String userName;
	
	@Min(value=5)
	@NotNull(message="Password cannot be null")
	private String password;
	
	@Override
	public boolean login(String userName, String passWord) {
		System.out.println("in login...");
		return true;
	}
	
	@Override
	public boolean logout() {
		System.out.println("Logging out...");
		return false;
	}
	@Override
	public String getUserName() {
		return userName;
	}

	@Override
	public void setUserName(String userName) {
		this.userName = userName;
	}
	@Override
	public String getPassword() {
		return password;
	}
	@Override
	public void setPassword(String password) {
		this.password = password;
	}


}
